#
# NOTE: Do NOT change this file -- InterfaceBuilder depends on it.
#

PRODUCT = $(NAME).palette
OFILE_DIR = obj
SUPPORTFILES = IB.proj Makefile makefile IB.paletteheader \
	Makefile.preamble Makefile.postamble
SRCFILES = $(CLASSES) $(CLASSES:.m=.h) \
	$(MFILES) $(CFILES) $(HFILES) $(PSWFILES) $(PSWMFILES) \
	$(INTERFACES) $(TIFFFILES) $(EPSFILES) $(SNDFILES) \
	$(OTHERSRCS) $(OTHER_SOURCEFILES)
OFILES = $(SUBPROJECTS:.subproj=.o) \
	$(PSWFILES:.psw=.o) $(PSWMFILES:.pswm=.o) $(CLASSES:.m=.o) \
	$(MFILES:.m=.o) $(CFILES:.c=.o)
EARLY_HEADERS = $(PSWFILES:.psw=.h) $(PSWMFILES:.pswm=.h) \
	$(SUBPROJECTS:.subproj=.h)
PRODUCT_DEPENDS =  $(EARLY_HEADERS) $(OFILE_DIR) \
	$(OFILES) $(OTHER_OFILES) \
	$(INTERFACES) $(TIFFFILES) $(EPSFILES) $(SNDFILES) \
	$(OTHER_PRODUCT_DEPENDS)
INSTALL_DEPENDS = $(DSTROOT)$(INSTALLDIR) all $(OTHER_INSTALL_DEPENDS)
GARBAGE = $(PRODUCT) $(PSWFILES:.psw=.c) $(PSWMFILES:.pswm=.m) obj \
	$(EARLY_HEADERS) $(OTHER_GARBAGE) $(NAME).debug $(NAME).debug.palette \
	debug_obj profile_obj
PALETTELDFLAGS = -r -sectcreate __PALETTE __header IB.paletteheader

_CFLAGS = $(CFLAGS) -O -g -Wall
_LDFLAGS = $(LDFLAGS)


#
# user level targets
#

all::
	@$(MAKE) $(PRODUCT)

clean:: $(NAME).clean $(SUBPROJECTS:.subproj=.clean)

installsrc:: $(NAME).installsrc $(SUBPROJECTS:.subproj=.installsrc)

install:: $(INSTALL_DEPENDS)
	install $(INSTALLFLAGS) $(NAME).palette $(DSTROOT)$(INSTALLDIR)

depend:: Makefile.dependencies $(SUBPROJECTS:.subproj=.depend)

debug $(DEBUGPRODUCT)::
	@$(MAKE) $(NAME).debug.palette "PRODUCT = $(NAME).debug.palette" \
	    "OFILE_DIR = debug_obj" \
	    "_CFLAGS = $(CFLAGS) -g -DDEBUG -Wall" \
	    "LIBS = $(DEBUG_LIBS)" \
	    "OTHER_LIBS = $(OTHER_DEBUG_LIBS)"
	

help::
	@echo '  all (the default)'
	@echo '  clean'
	@echo '  installsrc SRCROOT=somepath'
	@echo '  install [DSTROOT=somepath]'
	@echo '  depend'

#
# Common functionality
#

include $(MAKEFILEDIR)/common.make

#
# palette-specific functionality
#
 
$(PRODUCT): $(PRODUCT_DEPENDS)
	@ldflags="$(LDFLAGS) $(PALETTELDFLAGS)"; \
	for i in $(INTERFACES) nonibfiles ; do \
	    if [ $$i = nonibfiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __NIB $$i $$i"; \
	done; \
	for i in $(TIFFFILES) notifffiles ; do \
	    if [ $$i = notifffiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __TIFF $$i $$i"; \
	done; \
	for i in $(EPSFILES) noepsfiles ; do \
	    if [ $$i = noepsfiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __EPS $$i $$i"; \
	done; \
	for i in $(SNDFILES) nosndfiles ; do \
	    if [ $$i = nosndfiles ] ; then continue; fi; \
	    ldflags="$$ldflags -sectcreate __SND $$i $$i"; \
	done; \
	echo $(LD) $$ldflags -o $@ $(OFILES) $(OTHER_OFILES) $(OTHER_LIBS) $(LIBS) ; \
	$(LD) $$ldflags -o $@ $(OFILES) $(OTHER_OFILES) $(OTHER_LIBS) $(LIBS)


